Bug 452705 - Add /root/anaconda-ks-cfg to sosreport archive
Add /root/anaconda-ks-cfg to sosreport archive
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sos (Show other bugs)
5.3
All Linux
high Severity medium
: rc
: ---
Assigned To: Adam Stokes
: ZStream
Depends On:
Blocks: 455296 459576
  Show dependency treegraph
 
Reported: 2008-06-24 11:21 EDT by Joe Wrigley
Modified: 2009-01-20 16:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:42:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Adds collection of anaconda-ks.cfg to the general plugin. (895 bytes, patch)
2008-07-02 23:52 EDT, Robert Jackson
no flags Details | Diff
Adds collection of anaconda-ks.cfg (739 bytes, patch)
2008-07-14 14:37 EDT, Robert Jackson
no flags Details | Diff

  None (edit)
Description Joe Wrigley 2008-06-24 11:21:33 EDT
Description of problem:
It would be useful to techsupport engineers to have the kickstart file that
anaconda creates after installation included in an sosreport.
Comment 1 Robert Jackson 2008-07-02 23:50:55 EDT
The following path should add this functionality to the general plugin:

--- /usr/lib/python2.4/site-packages/sos/plugins/general.py     2008-07-02
23:43:14.000000000 -0400
+++ /usr/lib/python2.4/site-packages/sos/plugins/general.py2    2008-07-02
23:47:39.000000000 -0400
@@ -12,6 +12,7 @@
 ## along with this program; if not, write to the Free Software
 ## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

+import os
 import sos.plugintools
 import glob

@@ -37,7 +38,9 @@
         self.collectExtOutput("/bin/hostname", root_symlink = "hostname")
         self.collectExtOutput("/bin/date", root_symlink = "date")
         self.collectExtOutput("/usr/bin/uptime", root_symlink = "uptime")
-        return
+        if os.path.exists('/root/anaconda-ks.cfg'):
+               self.addCopySpec("/root/anaconda-ks.cfg")
+       return

     def postproc(self):
         self.doRegexSub("/etc/sysconfig/rhn/up2date",
r"(\s*proxyPassword\s*=\s*)\S+", r"\1***")
Comment 2 Robert Jackson 2008-07-02 23:52:09 EDT
Created attachment 310877 [details]
Adds collection of anaconda-ks.cfg to the general plugin.
Comment 3 Robert Jackson 2008-07-14 14:37:33 EDT
Created attachment 311746 [details]
Adds collection of anaconda-ks.cfg
Comment 4 RHEL Product and Program Management 2008-07-14 14:51:36 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 10 errata-xmlrpc 2009-01-20 16:42:06 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0171.html

Note You need to log in before you can comment on or make changes to this bug.